From 5a9c05beb1905be4c71d61a133ade233681f0214 Mon Sep 17 00:00:00 2001
From: Benoit Tuduri <benoit.tuduri@gmail.com>
Date: Fri, 16 Mar 2012 13:14:38 +0100
Subject: [PATCH] check if lrelease are available or not.

---
 contribs/contribs-mac.sh |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

diff --git a/contribs/contribs-mac.sh b/contribs/contribs-mac.sh
index 725480b..4a32608 100644
--- a/contribs/contribs-mac.sh
+++ b/contribs/contribs-mac.sh
@@ -1,5 +1,7 @@
 #!/bin/sh
 
+set -e
+
 VLC_ARCH=""
 VLC_BUILD_ID="0109"
 if [ `uname -m` != "i386" ]; then
@@ -21,6 +23,11 @@ QT4_URL="http://rohityadav.in/files/contribs/qt4-4.8-win32-bin.tar.bz2"
 
 ROOT_FOLDER=`pwd`
 
+if [ -z `which lrelease` ]; then
+    echo "The process require lrelease built in Qt !!!";
+    exit 1;
+fi
+
 # Get the dependencies in this directory
 mkdir -p src-dl/
 cd src-dl/
-- 
1.7.8.4
